7 Replies Latest reply: Jun 2, 2008 3:26 AM by 843833 RSS

    petsore_1.3.2 download help

    843833
      Hi,
      I need an old version of petstore to do my research.
      When I was trying to download petstore 1.3.2 from Sun's Java Pet Store website at http://java.sun.com/developer/releases/petstore/, I clicked download older version (i.e., <=1.3.2), then I was redirected to another webpage http://java.sun.com/blueprints/code/index.html. Then I clicked download of "Localized Version 1.3.2" at below, I was led to the first link again. I guess there is something wrong managing the download webpage. Could anyone tell me how to get petsore_1.3.2.

      Thanks!

      Feng
        • 1. Re: petsore_1.3.2 download help
          843833
          Hi,

          I think the issue is that old version of petstore 1.3.2 is no longer available. We discourage people from investing time in learning it since its old, and instead encourage developers to learn the newer material. We probably will be moving all old versions of petstore to an archive soon.

          I will try to get the website fixed so that it doesn't have links about petstore 1.3.2 etc that are circular. I think the page site updates are in process now which is why the links are confusing. We will be moving old versions of petsore off the site soon.

          The petstore version bundled in the J2EE 1.4 application server is basically the same as the petstore 1.3.x. Since we did not really update petstore for J2EE 1.4 and just used the 1.3 version. For J2EE 1.4 we had a web service reference application called Adventure Builder.

          Also, what are you planning to use it for in your research?

          thx,
          Sean
          Hi,
          I need an old version of petstore to do my
          research.
          When I was trying to download petstore 1.3.2 from
          Sun's Java Pet Store website at
          http://java.sun.com/developer/releases/petstore/, I
          clicked download older version (i.e., <=1.3.2), then
          I was redirected to another webpage
          http://java.sun.com/blueprints/code/index.html. Then
          I clicked download of "Localized Version 1.3.2" at
          below, I was led to the first link again. I guess
          there is something wrong managing the download
          webpage. Could anyone tell me how to get
          petsore_1.3.2.

          Thanks!

          Feng
          • 2. Re: petsore_1.3.2 download help
            843833
            I need to setup a J2EE environment to conduct experiment on jboss. I googled Internet and found no related article about setting up petstore 2.0 with jboss. So I switched to older version.


            Feng
            • 3. Re: petsore_1.3.2 download help
              843833
              Hi,

              Well, one choice is to get the petstore 1.4 as i mentioned

              Another choice is to try to port petstore 2.0 over to JBoss. Petstore 2.0 should be able to run on any Java EE 5 application server, though it might take a couple small changes. JBoss is supposed to be finishing their Java EE 5 version, so might be able to run a Java EE 5 application.

              We would like to test petstore 2.0 on some other Java EE 5 application servers to make sure it is easy to port over, but have not tried it yet.

              hth,
              Sean
              • 4. Re: petsore_1.3.2 download help
                843833
                Please keep your old versions intact....

                My company has in - house certifcations that has a section dedicated to the pet store application.

                regards
                nishad
                • 5. Re: petsore_1.3.2 download help
                  843833
                  Hi,

                  If you could share more about how you use the petstore for your certification that would be interesting to hear about.

                  thx,
                  Sean
                  • 6. Re: petsore_1.3.2 download help
                    843833
                    I think it is a mistake to remove 1.3.2.

                    Greetz,
                    Marc van Dam
                    seanbrydon wrote:
                    Hi,

                    I think the issue is that old version of petstore 1.3.2 is no longer available. We discourage people from investing time in learning it since its old, and instead encourage developers to learn the newer material. We probably will be moving all old versions of petstore to an archive soon.

                    I will try to get the website fixed so that it doesn't have links about petstore 1.3.2 etc that are circular. I think the page site updates are in process now which is why the links are confusing. We will be moving old versions of petsore off the site soon.

                    The petstore version bundled in the J2EE 1.4 application server is basically the same as the petstore 1.3.x. Since we did not really update petstore for J2EE 1.4 and just used the 1.3 version. For J2EE 1.4 we had a web service reference application called Adventure Builder.

                    Also, what are you planning to use it for in your research?

                    thx,
                    Sean
                    Hi,
                    I need an old version of petstore to do my
                    research.
                    When I was trying to download petstore 1.3.2 from
                    Sun's Java Pet Store website at
                    http://java.sun.com/developer/releases/petstore/, I
                    clicked download older version (i.e., <=1.3.2), then
                    I was redirected to another webpage
                    http://java.sun.com/blueprints/code/index.html. Then
                    I clicked download of "Localized Version 1.3.2" at
                    below, I was led to the first link again. I guess
                    there is something wrong managing the download
                    webpage. Could anyone tell me how to get
                    petsore_1.3.2.

                    Thanks!

                    Feng
                    • 7. Re: petsore_1.3.2 download help
                      843833
                      Hi feng-xian-1978

                      Do you have the complete sourcecode for pet shop? I mean, build and deploy by ant on Jboss?

                      Would be grateful for any hints to get pet shop running on Jboss.

                      Br

                      Frank